Intel Display i915 driver crashes, Thinkpad X1 carbon Gen 3

Bug #1436590 reported by madmaze on 2015-03-25
144
This bug affects 29 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Nominated for Vivid by Alberto Salvia Novella

Bug Description

- start ubuntu 15.04 and log in
- use CTRL+AL+F2 to switch to TTY2. (or a different TTY)
- Watch the screen glitch: http://youtu.be/MqPi5dURZ8s
- sometimes it's so bad it will not recover and the computer needs to be forcefully rebooted.

I should note this is on the newst generation Thinkpad X1 Carbon (Gen 3)

It generates this in dmesg:

[ 372.015529] ------------[ cut here ]------------
[ 372.015559] WARNING: CPU: 1 PID: 936 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_display.c:1260 assert_plane.constprop.85+0x7a/0xb0 [i915]()
[ 372.015560] plane A assertion failure (expected on, current off)
[ 372.015576] Modules linked in: ctr ccm binfmt_misc rfcomm bnep nls_iso8859_1 arc4 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_hda_intel snd_hda_controller snd_hda_codec kvm uvcvideo snd_hwdep snd_pcm videobuf2_vmalloc videobuf2_memops iwlmvm snd_seq_midi snd_seq_midi_event videobuf2_core snd_rawmidi v4l2_common mac80211 videodev media snd_seq btusb joydev iwlwifi thinkpad_acpi serio_raw bluetooth snd_seq_device cfg80211 nvram snd_timer snd soundcore mac_hid mei_me lpc_ich shpchp mei parport_pc ppdev lp parport autofs4 dm_crypt crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd psmouse i915 ahci libahci e1000e ptp i2c_algo_bit pps_core
[ 372.015578] drm_kms_helper drm wmi video
[ 372.015580] CPU: 1 PID: 936 Comm: Xorg Tainted: G W 4.0.0-040000rc5-generic #201503230035
[ 372.015580] Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET25W (1.03 ) 12/01/2014
[ 372.015582] 00000000000004ec ffff8802424cb6c8 ffffffff817dfeea 000000000000363c
[ 372.015583] ffff8802424cb718 ffff8802424cb708 ffffffff810791b7 ffff88024dc8e340
[ 372.015584] 0000000000000000 ffff88023f510000 ffff880243e54800 ffff88023f510000
[ 372.015585] Call Trace:
[ 372.015588] [<ffffffff817dfeea>] dump_stack+0x45/0x57
[ 372.015592] [<ffffffff810791b7>] warn_slowpath_common+0x97/0xe0
[ 372.015593] [<ffffffff810792b6>] warn_slowpath_fmt+0x46/0x50
[ 372.015610] [<ffffffffc022e66a>] assert_plane.constprop.85+0x7a/0xb0 [i915]
[ 372.015624] [<ffffffffc0239abe>] hsw_disable_ips+0x5e/0x1b0 [i915]
[ 372.015637] [<ffffffffc0239e58>] intel_crtc_disable_planes+0x48/0x150 [i915]
[ 372.015649] [<ffffffffc023a495>] haswell_crtc_disable+0x55/0x2d0 [i915]
[ 372.015660] [<ffffffffc023ac18>] __intel_set_mode+0x1b8/0x3e0 [i915]
[ 372.015676] [<ffffffffc023e778>] intel_crtc_set_config+0x408/0x4f0 [i915]
[ 372.015689] [<ffffffffc00d4427>] ? drm_atomic_state_free+0x27/0x50 [drm]
[ 372.015706] [<ffffffffc024ed3c>] ? intel_atomic_commit+0xcc/0x100 [i915]
[ 372.015713] [<ffffffffc013495d>] ? drm_atomic_helper_plane_set_property+0x8d/0xc0 [drm_kms_helper]
[ 372.015722] [<ffffffffc00c41e6>] drm_mode_set_config_internal+0x66/0x110 [drm]
[ 372.015729] [<ffffffffc0137648>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
[ 372.015735] [<ffffffffc0139160>] drm_fb_helper_restore_fbdev_mode_unlocked+0x30/0x80 [drm_kms_helper]
[ 372.015740] [<ffffffffc01391d4>] drm_fb_helper_set_par+0x24/0x50 [drm_kms_helper]
[ 372.015756] [<ffffffffc024b44a>] intel_fbdev_set_par+0x1a/0x60 [i915]
[ 372.015759] [<ffffffff81436893>] fb_set_var+0x283/0x3a0
[ 372.015761] [<ffffffff810b10d1>] ? update_curr+0x141/0x1f0
[ 372.015763] [<ffffffff8142d9b4>] fbcon_blank+0x1e4/0x2d0
[ 372.015766] [<ffffffff814c0230>] do_unblank_screen.part.22+0xa0/0x180
[ 372.015768] [<ffffffff814c035c>] do_unblank_screen+0x4c/0x80
[ 372.015770] [<ffffffff814b5825>] complete_change_console+0x65/0xf0
[ 372.015772] [<ffffffff814b69bd>] vt_ioctl+0x110d/0x1190
[ 372.015779] [<ffffffffc00b8c9e>] ? drm_ioctl+0x9e/0x590 [drm]
[ 372.015783] [<ffffffff814a91f8>] tty_ioctl+0x418/0x980
[ 372.015785] [<ffffffff8123a504>] ? fsnotify+0x204/0x260
[ 372.015787] [<ffffffff8120e115>] do_vfs_ioctl+0x75/0x320
[ 372.015789] [<ffffffff811fb876>] ? vfs_write+0x196/0x1f0
[ 372.015791] [<ffffffff81218455>] ? __fget_light+0x25/0x70
[ 372.015793] [<ffffffff8120e451>] SyS_ioctl+0x91/0xb0
[ 372.015795] [<ffffffff817ec6cd>] system_call_fastpath+0x16/0x1b
[ 372.015796] ---[ end trace e72efca01d0fd8ae ]---
[ 377.884971] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: xorg 1:7.7+7ubuntu4
Uname: Linux 4.0.0-040000rc5-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.16.2-0ubuntu4
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Wed Mar 25 17:45:39 2015
DistUpgraded: Fresh install
DistroCodename: vivid
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation Broadwell-U Integrated Graphics [8086:1616] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:2227]
InstallationDate: Installed on 2015-03-23 (2 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Alpha amd64 (20150323)
MachineType: LENOVO 20BSCTO1WW
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.0.0-040000rc5-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
SourcePackage: xorg
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/01/2014
dmi.bios.vendor: LENOVO
dmi.bios.version: N14ET25W (1.03 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20BSCTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: SDK0E50512 STD
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN14ET25W(1.03):bd12/01/2014:svnLENOVO:pn20BSCTO1WW:pvrThinkPadX1Carbon3rd:rvnLENOVO:rn20BSCTO1WW:rvrSDK0E50512STD:cvnLENOVO:ct10:cvrNone:
dmi.product.name: 20BSCTO1WW
dmi.product.version: ThinkPad X1 Carbon 3rd
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.12.1+15.04.20150303-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.59-0ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.5.0-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.5.0-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.17.1-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2build1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2build1
xserver.bootTime: Wed Mar 25 17:38:55 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 1049
 vendor LGD
xserver.version: 2:1.17.1-0ubuntu3

Download full text (3.5 KiB)

Additional info:
reporter: libreport-2.3.0
WARNING: CPU: 3 PID: 951 at drivers/gpu/drm/i915/intel_display.c:1278 assert_plane.constprop.78+0x6b/0x70 [i915]()
plane A assertion failure (expected on, current off)
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw x86_pkg_temp_thermal coretemp kvm_intel hid_sensor_incl_3d uvcvideo hid_sensor_als hid_sensor_gyro_3d hid_sensor_magn_3d hid_sensor_rotation hid_sensor_accel_3d hid_sensor_trigger industrialio_triggered_buffer kvm kfifo_buf industrialio hid_sensor_iio_common iTCO_wdt iTCO_vendor_support arc4 videobuf2_vmalloc crct10dif_pclmul crc32_pclmul
 snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic crc32c_intel videobuf2_memops btusb vfat videobuf2_core fat snd_hda_intel iwlmvm snd_hda_controller ghash_clmulni_intel bluetooth mac80211 snd_hda_codec snd_hwdep v4l2_common snd_seq videodev iwlwifi snd_seq_device cfg80211 serio_raw hid_multitouch hid_sensor_hub media snd_pcm lpc_ich i2c_i801 mfd_core ideapad_laptop snd_timer sparse_keymap mei_me snd rfkill int3403_thermal i2c_hid dw_dmac dw_dmac_core i2c_designware_platform i2c_designware_core mei shpchp soundcore btrfs xor raid6_pq i915 i2c_algo_bit drm_kms_helper drm sdhci_acpi sdhci mmc_core video analog gameport joydev
CPU: 3 PID: 951 Comm: Xorg.bin Not tainted 3.17.0-301.fc21.x86_64 #1
Hardware name: LENOVO 20266/Yoga2, BIOS 76CN31WW 10/31/2013
 0000000000000000 00000000680449de ffff88008e7cf760 ffffffff8173c311
 ffff88008e7cf7a8 ffff88008e7cf798 ffffffff81096e8d 0000000000000000
 ffff880250cec000 ffff88007f9a1800 ffff8802506c0000 0000000000000000
Call Trace:
 [<ffffffff8173c311>] dump_stack+0x45/0x56
 [<ffffffff81096e8d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81096f0c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa012cf5b>] assert_plane.constprop.78+0x6b/0x70 [i915]
 [<ffffffffa01322c1>] hsw_disable_ips+0x41/0x190 [i915]
 [<ffffffffa0138bb9>] intel_crtc_disable_planes+0x49/0x160 [i915]
 [<ffffffffa0139ad7>] haswell_crtc_disable+0x57/0x340 [i915]
 [<ffffffffa0133761>] __intel_set_mode+0x7e1/0x16f0 [i915]
 [<ffffffffa025ed44>] ? __do_readpage+0x614/0x7e0 [btrfs]
 [<ffffffffa013c086>] intel_set_mode+0x16/0x30 [i915]
 [<ffffffffa013d1da>] intel_crtc_set_config+0xa9a/0xeb0 [i915]
 [<ffffffffa0070a34>] drm_mode_set_config_internal+0x64/0xe0 [drm]
 [<ffffffffa00cb153>] restore_fbdev_mode+0xb3/0xe0 [drm_kms_helper]
 [<ffffffffa00cb1a3>] drm_fb_helper_restore_fbdev_mode_unlocked+0x23/0x40 [drm_kms_helper]
 [<ffffffffa00ccca8>] drm_fb_helper_set_par+0x28/0x70 [drm_kms_helper]
 [<ffffffffa0147d5a>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff813f29c0>] fb_set_var+0x190/0x420
 [<ffffffff8119bfa6>] ? free_hot_cold_page_list+0x46/0xa0
 [<ffffffff813e8d89>] fbcon_blank+0x259/0x340
 [<ffffffff8146a83a>] do_unblank_screen+0xba/0x1f0...

Read more...

Created attachment 947603
File: dmesg

Created attachment 108605
dmesg and xorg log

Environment:
-----------------------------------
Platform:BDW
Libdrm:(master)libdrm-2.4.58-4-g00847fa48b83a85b0cb882594a12ed1511f780db
Mesa:(master)1a170980a09d82201b88e3fe20684a0df2cfea80
Xserver:(master)xorg-server-1.16.0-429-gd181e52ceb9ae44e1faa8d5af8805f43328da6c2
Xf86_video_intel:(master)2.99.916-118-gd08a5f555a0c47ae23c0f9a890b512cb23e74feb
Cairo:(master)f9b65ae1fc91bc558a01c2ad7be5a121c6f10818
Libva:(master)ccd93de5a707e92a629cccd595757c8d436fa3cc
Libva_intel_driver:(master)f11176415ec26eb5960ba6841d2d9c22f2cabc60
Kernel:(drm-intel-nightly)88a443f454a4d8f779a9bff51f2ef334f5f69372

Bug detailed description:
---------------------------------------------
1.Screen starts to flicker after I start X or back to console from X. Please refer to attachment for dmesg.log and Xorg log.
2. Video link http://youtu.be/vWd46hqJC4Q .
Bug 83130 has been VERIFIED FIXED,so it's the regression issue.

Reproduce steps
----------------------------
1. xinit&
2. switch chvt 1 or 2 for several times

Does this happen on all of your BDW versions?

(We've seen similar issue on i7 F0, but not on i3 E2)

The flicker should be pch or cpu underruns. Can you attach the drm.debug=6 dmesg as plain/text?

Created attachment 108666
dmesg.log

(In reply to Chris Wilson from comment #2)
> The flicker should be pch or cpu underruns. Can you attach the drm.debug=6
> dmesg as plain/text?

Yes,this happen on all of the BDW versions.
Please refer to attach the drm.debug=6 dmesg info.

I'm afraid you attached the wrong dmesg. It has no drm.debug at all.

Created attachment 108712
dmesg with drm_debug

Sorry,I attach it again,thanks!

*** Bug 1155159 has been marked as a duplicate of this bug. ***

*** Bug 1155572 has been marked as a duplicate of this bug. ***

*** Bug 1159582 has been marked as a duplicate of this bug. ***

*** Bug 1161874 has been marked as a duplicate of this bug. ***

*** Bug 1162188 has been marked as a duplicate of this bug. ***

*** Bug 1162371 has been marked as a duplicate of this bug. ***

*** Bug 1162802 has been marked as a duplicate of this bug. ***

*** Bug 1163865 has been marked as a duplicate of this bug. ***

There's been a lot of fixes to BDW since this bug was filed, and we haven't seen this issue on our side for a long time. Can this still be reproduced on BDW?

(In reply to Eero Tamminen from comment #7)
> There's been a lot of fixes to BDW since this bug was filed, and we haven't
> seen this issue on our side for a long time. Can this still be reproduced
> on BDW?

On WW52, I still observed this issue on BDW F0 machine.
Will update the detail sw stack after vacation back.

use 2014-12-31 GFX SW stack still can reproduce this issue on BDW:

Libdrm: (master)libdrm-2.4.58-19-gf99522e678dbbaffeca9462a8edcbe900574dc12
 Mesa: (master)609c3e51f5ca8abb15867537997369e7e8a678e3
 Xf86_video_intel: (master)2.99.917-1-g0d42b0ed25d4112e0b3e3218e5c42947bbeb9e27
 Cairo: (master)4a225fca5f121c31ddaa0af80a13bf95a7f21a5b
 Libva: (master)e97ac9e78cd475a13e722c455e34d5d39d0f059d
 Libva_intel_driver: (master)43bd81abdde40b50ac71f6f44eb04e4eaf5af5f6
 Kernel: (drm-intel-nightly)07d0c831d9207c937595f081c8fddbddbf53756f

*** Bug 88837 has been marked as a duplicate of this bug. ***

Please retry current drm-intel-nightly, and attach dmesg with drm.debug=14 module parameter set.

Please attach plain text dmesg, and do not compress them. Thanks.

Something to test is: i915.enable_ips=0

current -nightly (2b5fb1d021) works, and i915.enable_ips=0 works around the issue with 3.19

drm-intel-next-2015-02-14 is also good, but a build from the branch on Feb 4th (b838cbee0d6f023) is not

drm-intel-nightly_dbd79c_20150213+ is also good.
Verified this bug.

The latest nightly(b18ca5)with i915.enable_ips=0 can works.
So reopen this bug.

4c3630a0cb6ccf15ce58718700aef8164f632701(In reply to Jani Nikula from comment #17)
> Related/dupe: bug 83497.

Possibly, but this affects 1080p as well and seems triggerable with a modeset away from X, whereas bug 83497 seems more persistent and more likely that it is just the cdclck being run too close to maximum at 4k.

*** Bug 89761 has been marked as a duplicate of this bug. ***

madmaze (matthias-a-lee) wrote :
madmaze (matthias-a-lee) wrote :

after doing a little bit of digging, it looks like this is an issue specifically with the 4.0 RC5 Kernel

madmaze (matthias-a-lee) wrote :

Actually I'm going to revise my last statement, even with Kernel 3.19.0-10-generic this issue is present

summary: - Switching from the TTY7 to a different TTY, causes Xorg crash
+ Intel Display i915 driver crashes, X1 carbon Gen 3
Download full text (7.7 KiB)

[ 114.399715] ------------[ cut here ]------------
[ 114.399738] WARNING: CPU: 3 PID: 955 at /build/buildd/linux-3.19.0/drivers/gpu/drm/i915/intel_display.c:1256 assert_plane.constprop.87+0x7b/0x90 [i915]()
[ 114.399738] plane A assertion failure (expected on, current off)
[ 114.399752] Modules linked in: ctr ccm binfmt_misc rfcomm bnep nls_iso8859_1 arc4 intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp iwlmvm kvm_intel kvm mac80211 snd_hda_codec_realtek snd_hda_codec_generic btusb uvcvideo snd_hda_codec_hdmi videobuf2_vmalloc iwlwifi videobuf2_memops joydev videobuf2_core v4l2_common serio_raw videodev bluetooth thinkpad_acpi media snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_pcm cfg80211 nvram snd_seq_midi snd_seq_midi_event lpc_ich snd_rawmidi snd_seq snd_seq_device snd_timer snd mei_me mei soundcore shpchp mac_hid parport_pc ppdev lp parport autofs4 dm_crypt crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw i915 gf128mul glue_helper ablk_helper cryptd psmouse e1000e ahci i2c_algo_bit libahci ptp drm_kms_helper
[ 114.399753] pps_core drm wmi video
[ 114.399755] CPU: 3 PID: 955 Comm: Xorg Not tainted 3.19.0-10-generic #10-Ubuntu
[ 114.399756] Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET25W (1.03 ) 12/01/2014
[ 114.399757] ffffffffc0648050 ffff88024200f728 ffffffff817c1125 0000000023502350
[ 114.399758] ffff88024200f778 ffff88024200f768 ffffffff8107595a ffff88024dc94278
[ 114.399759] 0000000000000000 ffff88023fb10000 ffff880035c06800 ffff880035c06800
[ 114.399759] Call Trace:
[ 114.399763] [<ffffffff817c1125>] dump_stack+0x45/0x57
[ 114.399765] [<ffffffff8107595a>] warn_slowpath_common+0x8a/0xc0
[ 114.399766] [<ffffffff810759d6>] warn_slowpath_fmt+0x46/0x50
[ 114.399777] [<ffffffffc05e43ab>] assert_plane.constprop.87+0x7b/0x90 [i915]
[ 114.399788] [<ffffffffc05ec441>] hsw_disable_ips+0x41/0x190 [i915]
[ 114.399796] [<ffffffffc05ec808>] intel_crtc_disable_planes+0x48/0x140 [i915]
[ 114.399805] [<ffffffffc05ed56f>] haswell_crtc_disable+0x4f/0x3c0 [i915]
[ 114.399814] [<ffffffffc05ee509>] __intel_set_mode+0xa59/0xc80 [i915]
[ 114.399824] [<ffffffffc05f518b>] intel_crtc_set_config+0xbfb/0xf70 [i915]
[ 114.399833] [<ffffffffc0437926>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 114.399838] [<ffffffffc04a4cd8>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
[ 114.399842] [<ffffffffc04a6d49>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
[ 114.399847] [<ffffffffc04a6dc2>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
[ 114.399857] [<ffffffffc060123a>] intel_fbdev_set_par+0x1a/0x60 [i915]
[ 114.399859] [<ffffffff814333ca>] fb_set_var+0x18a/0x410
[ 114.399861] [<ffffffff8127b7d5>] ? ext4_mark_iloc_dirty+0x435/0x7b0
[ 114.399862] [<ffffffff81429df9>] fbcon_blank+0x229/0x300
[ 114.399864] [<ffffffff81228200>] ? __find_get_block+0xf0/0x120
[ 114.399866] [<ffffffff814b99ba>] do_unblank_screen+0xba/0x1f0
[ 114.399876] [<ffffffff814b092a>] vt_ioctl+0x13ea/0x1460
[ 114.399878] [<ffffffff814a2771>] tty_ioctl+0x411/0xcb0
[ 114.399880] [<ffffffff8119cd01>] ? kzfree+0x31/0x40
[ 114.399882] [<ffffffff81...

Read more...

madmaze (matthias-a-lee) on 2015-03-28
summary: - Intel Display i915 driver crashes, X1 carbon Gen 3
+ Intel Display i915 driver crashes, Thinkpad X1 carbon Gen 3
madmaze (matthias-a-lee) wrote :
Download full text (4.0 KiB)

also crashed on Linux Kernel 3.17.2

[ 48.274826] ------------[ cut here ]------------
[ 48.274858] WARNING: CPU: 0 PID: 920 at /home/apw/COD/linux/drivers/gpu/drm/i915/intel_display.c:1278 assert_plane.constprop.82+0x6f/0x80 [i915]()
[ 48.274859] plane A assertion failure (expected on, current off)
[ 48.274885] Modules linked in: ctr ccm binfmt_misc rfcomm bnep nls_iso8859_1 arc4 iwlmvm mac80211 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iwlwifi kvm_intel uvcvideo kvm videobuf2_vmalloc joydev snd_hda_codec_realtek serio_raw rtc_efi videobuf2_memops snd_hda_codec_generic snd_hda_codec_hdmi videobuf2_core snd_seq_midi v4l2_common videodev snd_seq_midi_event cfg80211 media snd_hda_intel btusb snd_hda_controller nvram bluetooth snd_rawmidi snd_hda_codec snd_hwdep snd_pcm snd_seq snd_seq_device mei_me shpchp mei lpc_ich snd_timer snd soundcore mac_hid parport_pc ppdev lp parport autofs4 dm_crypt crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i915 psmouse ahci libahci e1000e i2c_algo_bit drm_kms_helper ptp pps_core
[ 48.274886] drm wmi video
[ 48.274889] CPU: 0 PID: 920 Comm: Xorg Tainted: G W 3.17.2-031702-generic #201410301416
[ 48.274890] Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET25W (1.03 ) 12/01/2014
[ 48.274892] 00000000000004fe ffff8800a5be3718 ffffffff82796c17 0000000000000282
[ 48.274894] ffff8800a5be3768 ffff8800a5be3758 ffffffff82074a3c ffff88024dc14580
[ 48.274895] 0000000000000000 ffff88023d020000 ffff8800a4b36000 0000000000000000
[ 48.274896] Call Trace:
[ 48.274900] [<ffffffff82796c17>] dump_stack+0x46/0x58
[ 48.274903] [<ffffffff82074a3c>] warn_slowpath_common+0x8c/0xc0
[ 48.274905] [<ffffffff82074b26>] warn_slowpath_fmt+0x46/0x50
[ 48.274927] [<ffffffffc01b7501>] ? intel_link_compute_m_n+0x51/0x60 [i915]
[ 48.274942] [<ffffffffc01ae3ff>] assert_plane.constprop.82+0x6f/0x80 [i915]
[ 48.274954] [<ffffffffc01b6af6>] hsw_disable_ips+0x56/0x1b0 [i915]
[ 48.274965] [<ffffffffc01ba1e8>] intel_crtc_disable_planes+0x48/0x160 [i915]
[ 48.274975] [<ffffffffc01b7896>] ? intel_crtc_compute_config+0x216/0x2d0 [i915]
[ 48.274986] [<ffffffffc01ba865>] haswell_crtc_disable+0x55/0x220 [i915]
[ 48.274995] [<ffffffffc01b7e01>] __intel_set_mode+0x171/0x490 [i915]
[ 48.274997] [<ffffffff821cbfeb>] ? __kmalloc+0x1db/0x240
[ 48.275008] [<ffffffffc01bc446>] intel_set_mode+0x16/0x30 [i915]
[ 48.275018] [<ffffffffc01bcf4e>] intel_crtc_set_config+0x1ee/0x370 [i915]
[ 48.275020] [<ffffffff822b3a7b>] ? do_get_write_access+0x39b/0x520
[ 48.275022] [<ffffffff827a1e68>] ? __ww_mutex_lock+0x28/0xad
[ 48.275033] [<ffffffffc006dec3>] drm_mode_set_config_internal+0x63/0xf0 [drm]
[ 48.275038] [<ffffffffc00b653b>] restore_fbdev_mode+0xbb/0xe0 [drm_kms_helper]
[ 48.275043] [<ffffffffc00b662c>] drm_fb_helper_restore_fbdev_mode_unlocked+0x2c/0x50 [drm_kms_helper]
[ 48.275047] [<ffffffffc00b7e41>] drm_fb_helper_set_par+0x31/0x80 [drm_kms_helper]
[ 48.275059] [<ffffffffc01c5a6a>] intel_fbdev_set_par+0x1a/0x60 [i915]
[ 48.275062] [<ffffffff824118c3>] fb_set_var+0x283/0x3a0
[ 48...

Read more...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed

Please:
  1. Report to <https://bugs.freedesktop.org/>.
  2. Paste the new report URL here.
  3. Set this bug status back to "confirmed".

Thank you.

no longer affects: i915-3.19-3.13 (Ubuntu)
no longer affects: xorg (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Critical
status: Confirmed → Incomplete
tags: added: asked-to-upstream
Download full text (8.5 KiB)

to reproduce:
- start ubuntu 15.04 and log in
- use CTRL+AL+F2 to switch to TTY2. (or a different TTY)
- Watch the screen glitch: http://youtu.be/MqPi5dURZ8s
- sometimes it's so bad it will not recover and the computer needs to be forcefully rebooted.

I should note this is on the newest generation Thinkpad X1 Carbon (Gen 3)
I have had experienced this crash with Kernel 3.17, 3.19 and 4.0RC5

Also filed this bug with ubuntu: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1436590

dmesg output with 4.0RC5 Kernel:

[ 372.015529] ------------[ cut here ]------------
[ 372.015559] WARNING: CPU: 1 PID: 936 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_display.c:1260 assert_plane.constprop.85+0x7a/0xb0 [i915]()
[ 372.015560] plane A assertion failure (expected on, current off)
[ 372.015576] Modules linked in: ctr ccm binfmt_misc rfcomm bnep nls_iso8859_1 arc4 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_hda_intel snd_hda_controller snd_hda_codec kvm uvcvideo snd_hwdep snd_pcm videobuf2_vmalloc videobuf2_memops iwlmvm snd_seq_midi snd_seq_midi_event videobuf2_core snd_rawmidi v4l2_common mac80211 videodev media snd_seq btusb joydev iwlwifi thinkpad_acpi serio_raw bluetooth snd_seq_device cfg80211 nvram snd_timer snd soundcore mac_hid mei_me lpc_ich shpchp mei parport_pc ppdev lp parport autofs4 dm_crypt crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd psmouse i915 ahci libahci e1000e ptp i2c_algo_bit pps_core
[ 372.015578] drm_kms_helper drm wmi video
[ 372.015580] CPU: 1 PID: 936 Comm: Xorg Tainted: G W 4.0.0-040000rc5-generic #201503230035
[ 372.015580] Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET25W (1.03 ) 12/01/2014
[ 372.015582] 00000000000004ec ffff8802424cb6c8 ffffffff817dfeea 000000000000363c
[ 372.015583] ffff8802424cb718 ffff8802424cb708 ffffffff810791b7 ffff88024dc8e340
[ 372.015584] 0000000000000000 ffff88023f510000 ffff880243e54800 ffff88023f510000
[ 372.015585] Call Trace:
[ 372.015588] [<ffffffff817dfeea>] dump_stack+0x45/0x57
[ 372.015592] [<ffffffff810791b7>] warn_slowpath_common+0x97/0xe0
[ 372.015593] [<ffffffff810792b6>] warn_slowpath_fmt+0x46/0x50
[ 372.015610] [<ffffffffc022e66a>] assert_plane.constprop.85+0x7a/0xb0 [i915]
[ 372.015624] [<ffffffffc0239abe>] hsw_disable_ips+0x5e/0x1b0 [i915]
[ 372.015637] [<ffffffffc0239e58>] intel_crtc_disable_planes+0x48/0x150 [i915]
[ 372.015649] [<ffffffffc023a495>] haswell_crtc_disable+0x55/0x2d0 [i915]
[ 372.015660] [<ffffffffc023ac18>] __intel_set_mode+0x1b8/0x3e0 [i915]
[ 372.015676] [<ffffffffc023e778>] intel_crtc_set_config+0x408/0x4f0 [i915]
[ 372.015689] [<ffffffffc00d4427>] ? drm_atomic_state_free+0x27/0x50 [drm]
[ 372.015706] [<ffffffffc024ed3c>] ? intel_atomic_commit+0xcc/0x100 [i915]
[ 372.015713] [<ffffffffc013495d>] ? drm_atomic_helper_plane_set_property+0x8d/0xc0 [drm_kms_helper]
[ 372.015722] [<ffffffffc00c41e6>] drm_mode_set_config_internal+0x66/0x110 [drm]
[ 372.015729] [<ffffffffc0137648>] restore_fbdev_mode+0x...

Read more...

madmaze (matthias-a-lee) wrote :
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed

I suspect this bug affects all of the current thinkpads, at least the ones with haswell processors, but i have not been able to verify this.

Thank you.

Changed in xserver-xorg-video-intel:
importance: Undecided → Unknown
status: New → Unknown
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged

*** This bug has been marked as a duplicate of bug 85583 ***

*** Bug 89813 has been marked as a duplicate of this bug. ***

madmaze (matthias-a-lee) wrote :
Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Unknown → Invalid
madmaze (matthias-a-lee) wrote :

#89813 was marked as a dup of #85583

Changed in xserver-xorg-video-intel:
importance: Medium → Unknown
status: Invalid → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Unknown → Confirmed

*** Bug 89848 has been marked as a duplicate of this bug. ***

Alex Stanev (realender) wrote :
Download full text (4.0 KiB)

Also happens on Haswell Lenovo Yoga 2 Pro:
[ 417.571439] ------------[ cut here ]------------
[ 417.571466] WARNING: CPU: 1 PID: 765 at /build/buildd/linux-3.19.0/drivers/gpu/drm/i915/intel_display.c:1256 assert_plane.constprop.87+0x7b/0x90 [i915]()
[ 417.571467] plane A assertion failure (expected on, current off)
[ 417.571478] Modules linked in: hid_generic hidp ctr ccm rfcomm bnep nls_iso8859_1 hid_sensor_gyro_3d hid_sensor_accel_3d hid_sensor_incl_3d hid_sensor_als hid_sensor_rotation hid_sensor_magn_3d hid_sensor_trigger industrialio_triggered_buffer kfifo_buf industrialio hid_sensor_iio_common hid_multitouch hid_sensor_hub uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev btusb bluetooth media usbhid arc4 snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic joydev intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event crct10dif_pclmul snd_rawmidi crc32_pclmul ghash_clmulni_intel aesni_intel iwlmvm aes_x86_64 lrw gf128mul glue_helper ablk_helper
[ 417.571490] mac80211 cryptd snd_seq snd_seq_device i915 snd_timer iwlwifi cfg80211 drm_kms_helper serio_raw drm snd mei_me shpchp soundcore i2c_algo_bit mei lpc_ich ideapad_laptop sparse_keymap int3403_thermal i2c_hid hid dw_dmac dw_dmac_core int3402_thermal 8250_dw spi_pxa2xx_platform i2c_designware_platform video i2c_designware_core mac_hid int3400_thermal acpi_thermal_rel processor_thermal_device soc_button_array intel_smartconnect parport_pc ppdev lp parport autofs4 ahci psmouse libahci sdhci_acpi sdhci
[ 417.571492] CPU: 1 PID: 765 Comm: Xorg Not tainted 3.19.0-12-generic #12-Ubuntu
[ 417.571493] Hardware name: LENOVO 20266/Yoga2, BIOS 76CN42WW 03/02/2015
[ 417.571494] ffffffffc04b8e10 ffff88009769f728 ffffffff817c2175 0000000033623362
[ 417.571495] ffff88009769f778 ffff88009769f768 ffffffff8107595a ffffffff0069f758
[ 417.571496] 0000000000000000 ffff880252b2a000 ffff880252d27000 ffff880252d27000
[ 417.571497] Call Trace:
[ 417.571501] [<ffffffff817c2175>] dump_stack+0x45/0x57
[ 417.571504] [<ffffffff8107595a>] warn_slowpath_common+0x8a/0xc0
[ 417.571505] [<ffffffff810759d6>] warn_slowpath_fmt+0x46/0x50
[ 417.571517] [<ffffffffc045552b>] assert_plane.constprop.87+0x7b/0x90 [i915]
[ 417.571528] [<ffffffffc045d6a1>] hsw_disable_ips+0x41/0x190 [i915]
[ 417.571537] [<ffffffffc045da68>] intel_crtc_disable_planes+0x48/0x140 [i915]
[ 417.571546] [<ffffffffc045e7cf>] haswell_crtc_disable+0x4f/0x3c0 [i915]
[ 417.571555] [<ffffffffc045f769>] __intel_set_mode+0xa59/0xc80 [i915]
[ 417.571566] [<ffffffffc046633b>] intel_crtc_set_config+0xbfb/0xf70 [i915]
[ 417.571575] [<ffffffffc027dca6>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 417.571581] [<ffffffffc02edd18>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
[ 417.571585] [<ffffffffc02efd89>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
[ 417.571589] [<ffffffffc02efe02>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
[ 417.571600] [<ffffffffc047229a>] intel_fbdev_set_par+0x1a/0x60 [i915]
[ 417.571602] [<ffffffff814339...

Read more...

Download full text (8.0 KiB)

This bug still occurs even with Kernel 4.0 RC7.

[ 29.599327] ------------[ cut here ]------------
[ 29.599357] WARNING: CPU: 0 PID: 931 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_display.c:1260 assert_plane.constprop.85+0x7a/0xb0 [i915]()
[ 29.599358] plane A assertion failure (expected on, current off)
[ 29.599381] Modules linked in: ctr ccm binfmt_misc rfcomm bnep nls_iso8859_1 arc4 intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_codec_hdmi iwlmvm snd_hda_codec_realtek snd_hda_codec_generic mac80211 uvcvideo videobuf2_vmalloc videobuf2_memops snd_hda_intel videobuf2_core v4l2_common snd_hda_controller videodev snd_hda_codec media iwlwifi snd_hwdep btusb joydev serio_raw thinkpad_acpi bluetooth snd_pcm cfg80211 nvram lpc_ich snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer snd mei_me mei shpchp soundcore mac_hid parport_pc ppdev lp parport autofs4 dm_crypt crct10dif_pclmul crc32_pclmul i915 ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd psmouse e1000e i2c_algo_bit drm_kms_helper ahci drm
[ 29.599382] ptp libahci pps_core wmi video
[ 29.599384] CPU: 0 PID: 931 Comm: Xorg Not tainted 4.0.0-040000rc7-generic #201504061936
[ 29.599385] Hardware name: LENOVO 20BSCTO1WW/20BSCTO1WW, BIOS N14ET25W (1.03 ) 12/01/2014
[ 29.599387] 00000000000004ec ffff88024165b6c8 ffffffff817e34d6 0000000000002112
[ 29.599388] ffff88024165b718 ffff88024165b708 ffffffff810791b7 ffff88024165b738
[ 29.599389] 0000000000000000 ffff88023f6e0000 ffff880036170800 ffff88023f6e0000
[ 29.599390] Call Trace:
[ 29.599394] [<ffffffff817e34d6>] dump_stack+0x45/0x57
[ 29.599397] [<ffffffff810791b7>] warn_slowpath_common+0x97/0xe0
[ 29.599399] [<ffffffff810792b6>] warn_slowpath_fmt+0x46/0x50
[ 29.599419] [<ffffffffc02b665a>] assert_plane.constprop.85+0x7a/0xb0 [i915]
[ 29.599436] [<ffffffffc02c1a9e>] hsw_disable_ips+0x5e/0x1b0 [i915]
[ 29.599452] [<ffffffffc02c1e38>] intel_crtc_disable_planes+0x48/0x150 [i915]
[ 29.599468] [<ffffffffc02c2475>] haswell_crtc_disable+0x55/0x2d0 [i915]
[ 29.599483] [<ffffffffc02c2bf8>] __intel_set_mode+0x1b8/0x3e0 [i915]
[ 29.599497] [<ffffffffc02c6758>] intel_crtc_set_config+0x408/0x4f0 [i915]
[ 29.599511] [<ffffffffc00943c7>] ? drm_atomic_state_free+0x27/0x50 [drm]
[ 29.599527] [<ffffffffc02d6d3c>] ? intel_atomic_commit+0xcc/0x100 [i915]
[ 29.599546] [<ffffffffc010497d>] ? drm_atomic_helper_plane_set_property+0x8d/0xc0 [drm_kms_helper]
[ 29.599557] [<ffffffffc0084016>] drm_mode_set_config_internal+0x66/0x110 [drm]
[ 29.599563] [<ffffffffc0107678>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
[ 29.599570] [<ffffffffc0109190>] drm_fb_helper_restore_fbdev_mode_unlocked+0x30/0x80 [drm_kms_helper]
[ 29.599575] [<ffffffffc0109204>] drm_fb_helper_set_par+0x24/0x50 [drm_kms_helper]
[ 29.599591] [<ffffffffc02d344a>] intel_fbdev_set_par+0x1a/0x60 [i915]
[ 29.599594] [<ffffffff81438af3>] fb_set_var+0x283/0x3a0
[ 29.599597] [<ffffffff810b2330>] ? check_preempt_wakeup+0x110/0x210
[ 29.599599] [<ffffffff8142fc14>] fbcon_blank+0x1e4/0x2d0
[ 29.599602] [<fffffff...

Read more...

Please let me know if I can be of any assistance in debugging this.

*** Bug 90062 has been marked as a duplicate of this bug. ***

John Quail (johnquail) wrote :

Also occurs for HP EliteBook 9480m.

Let me know if you need logs or help with testing

*** Bug 1165979 has been marked as a duplicate of this bug. ***

*** Bug 1167200 has been marked as a duplicate of this bug. ***

*** Bug 1172209 has been marked as a duplicate of this bug. ***

*** Bug 1175976 has been marked as a duplicate of this bug. ***

*** Bug 1177606 has been marked as a duplicate of this bug. ***

*** Bug 1178999 has been marked as a duplicate of this bug. ***

*** Bug 1180361 has been marked as a duplicate of this bug. ***

*** Bug 1181811 has been marked as a duplicate of this bug. ***

*** Bug 1182066 has been marked as a duplicate of this bug. ***

*** Bug 1182719 has been marked as a duplicate of this bug. ***

*** Bug 1182971 has been marked as a duplicate of this bug. ***

*** Bug 1186150 has been marked as a duplicate of this bug. ***

*** Bug 1186639 has been marked as a duplicate of this bug. ***

*** Bug 1187700 has been marked as a duplicate of this bug. ***

*** Bug 1188714 has been marked as a duplicate of this bug. ***

*** Bug 1189353 has been marked as a duplicate of this bug. ***

*** Bug 1194318 has been marked as a duplicate of this bug. ***

*** Bug 1197406 has been marked as a duplicate of this bug. ***

*** Bug 1199318 has been marked as a duplicate of this bug. ***

*** Bug 1207233 has been marked as a duplicate of this bug. ***

*** Bug 1212809 has been marked as a duplicate of this bug. ***

*** Bug 1214274 has been marked as a duplicate of this bug. ***

*** Bug 1218093 has been marked as a duplicate of this bug. ***

Nightwolf (nightwolf2342) wrote :

Same problem with the Lenovo T450s.

Same problem with Lenovo Yoga 3 11. Ubuntu 15.04, even with latest Linux 4 kernal. Problems experienced:

- Same screen glitch as http://youtu.be/MqPi5dURZ8s
- Closing lid and opening again can cause current screen to freeze. Mouse pointer moves but can't click anything.
- If connected to external monitor via HDMI, pressing the F10 key (display switcher) to change mode can cause same screen freeze as above.

*** Bug 90896 has been marked as a duplicate of this bug. ***

lpsputnik (lpsputnik) wrote :
Download full text (4.8 KiB)

My notebook is a Tuxedo BU1504 witch is indeed an OEM of CLEVO WU550AU with Broadwall i5500 and driver i915.
Kernel is 3.19.0-18-generic #18-Ubuntu SMP Tue May 19 18:31:35 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux.

I can confirm the mentioned screen glitch with xubuntu + i915 happens to me when returning from suspend or closed notebook on the internal monitor while having attacked an external monitor while configured to extend the screen. External monitor stays fine. When in "glitch mode" I reconfigure from extended screen to duplicated screen, the internal monitor gets back under control.

In the logs I see similar assertion errors as posted before:

Jun 9 15:44:54 laptop2 kernel: [60110.452461] WARNING: CPU: 1 PID: 2427 at /build/buildd/linux-3.19.0/drivers/gpu/drm/i915/intel_display.c:1256 assert_plane.constprop.87+0x7b/0x90 [i915]()
Jun 9 15:44:54 laptop2 kernel: [60110.452466] plane A assertion failure (expected on, current off)
Jun 9 15:44:54 laptop2 kernel: [60110.452468] Modules linked in: usblp hid_generic usbhid pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) ctr ccm rfcomm bnep nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack iptable_filter ip_tables x_tables arc4 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev media cdc_mbim btusb cdc_wdm bluetooth option usb_wwan usbserial cdc_ncm usbnet iwlmvm mac80211 intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm i915_bpo joydev intel_ips iwlwifi serio_raw snd_hda_codec_realtek snd_hda_codec_generic snd_soc_rt5640 rtsx_pci_ms cfg80211 memstick snd_hda_intel lpc_ich snd_soc_rl6231 shpchp snd_soc_core snd_hda_controller snd_hda_codec mei_me snd_compress snd_pcm_dmaengine mei snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer snd soundcore i2c_hid hid dw_dmac dw_dmac_core 8250_dw snd_soc_sst_acpi i2c_designware_platform spi_pxa2xx_platform i2c_designware_core acpi_pad tpm_infineon mac_hid coretemp tuxedo_wmi(OE) parport_pc ppdev lp parport autofs4 dm_crypt rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel i915 aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i2c_algo_bit psmouse drm_kms_helper r8169 mii rtsx_pci drm ahci libahci wmi video sdhci_acpi sdhci
Jun 9 15:44:54 laptop2 kernel: [60110.452600] CPU: 1 PID: 2427 Comm: Xorg Tainted: G W OE 3.19.0-18-generic #18-Ubuntu
Jun 9 15:44:54 laptop2 kernel: [60110.452604] Hardware name: Notebook W54_55_94_95_97AU,AUQ/W54_55_94_95_97AU,AUQ, BIOS 5.6.5 03/06/2015
Jun 9 15:44:54 laptop2 kernel: [60110.452606] ffffffffc0313de8 ffff88040c12f9c8 ffffffff817c27cd 0000000000000007
Jun 9 15:44:54 laptop2 kernel: [60110.452612] ffff88040c12fa18 ffff88040c12fa08 ffffffff8107593a ffff88040c12f9f8
Jun 9 15:44:54 laptop2 kernel: [60110.452617] 0000000000000000 ffff88040724a000 ffff88040c1ac000 ffff88040c1ac000
Jun 9 15:44:54 laptop2 kernel: [60110.452623] Call Trace:
Jun 9 15:44:54 laptop2 kernel: [60110.452636] [<ffffffff817c27cd>] dump_stack+0x45/0x57
Jun 9 15:44:54 laptop2 kernel: [60110.452643] [<ff...

Read more...

(In reply to matthias.a.lee from comment #23)
> Please let me know if I can be of any assistance in debugging this.

Please try this patch http://patchwork.freedesktop.org/patch/50675

Is there a build including that patch or will I have to build it myself?

(In reply to matthias.a.lee from comment #27)
> Is there a build including that patch or will I have to build it myself?

As an upstream we don't provide builds, you're expected to be able to apply and test patches. Sometimes your distro developers may be able to help.

Changed in xserver-xorg-video-intel:
status: Confirmed → Incomplete

Verified latest drm-intel-nightly_8207b9_20150616+ kernel on BDW, this issue has been fixed, So closed.

*** Bug 90441 has been marked as a duplicate of this bug. ***

Termo (termopeten) wrote :

Same issue on Lenovo x250 (again intel HD500, i915, Haswell). How to test patch?

Changed in xserver-xorg-video-intel:
status: Incomplete → Fix Released

madmaze, as per http://support.lenovo.com/us/en/products/laptops-and-netbooks/thinkpad-x-series-laptops/thinkpad-x1-carbon-20bs-20bt an update to your computer's buggy and outdated BIOS is available (1.10). If you update to this following https://help.ubuntu.com/community/BIOSUpdate does it change anything?

If it doesn't, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful. As well, you don't have to create a new bug report.

Once the BIOS is updated, if the problem is still reproducible, and the information above is provided, then please mark this report Status New. Otherwise, please mark this as Invalid.

Thank you for your understanding.

tags: added: bios-outdated-1.10
removed: asked-to-upstream
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Critical → Low
status: Triaged → Incomplete
Felipe Reyes (freyes) wrote :
Download full text (5.2 KiB)

Hello,

I'm getting same problem, different laptop, bios details:
        Vendor: Alienware
        Version: A02
        Release Date: 12/16/2014

xserver-xorg-video-intel 2:2.99.917+git20150808-0ubuntu4
kernel version: 3.19.0-30-generic

[477531.252120] ------------[ cut here ]------------
[477531.252154] WARNING: CPU: 0 PID: 943 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_display.c:1260 assert_plane.constprop.85+0x7a/0xb0 [i915]()
[477531.252154] plane A assertion failure (expected on, current off)
[477531.252170] Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl vhost_net vhost macvtap macvlan dccp_diag dccp tcp_diag udp_diag inet_diag unix_diag nls_utf8 isofs huawei_cdc_ncm cdc_wdm cdc_ncm usbnet mii option usb_wwan usbserial hid_plantronics uas usb_storage snd_usb_audio snd_usbmidi_lib hid_microsoft veth ctr ccm xt_conntrack ipt_REJECT nf_reject_ipv4 ebtable_filter ebtables ip6table_filter ip6_tables xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack xt_tcpudp bridge stp llc iptable_filter ip_tables x_tables binfmt_misc rfcomm bnep bbswitch(OE) dell_wmi arc4 mxm_wmi joydev sparse_keymap intel_rapl iosf_mbi x86_pkg_temp_thermal snd_hda_codec_realtek intel_powerclamp snd_hda_codec_generic snd_hda_codec_hdmi
[477531.252186] coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_soc_rt5640 snd_soc_rl6231 snd_hda_intel dm_multipath snd_soc_core scsi_dh snd_hda_controller snd_compress snd_hda_codec snd_pcm_dmaengine aesni_intel snd_hwdep snd_pcm aes_x86_64 lrw iwlmvm gf128mul uvcvideo glue_helper ablk_helper mac80211 videobuf2_vmalloc videobuf2_memops cryptd snd_seq_midi snd_seq_midi_event videobuf2_core v4l2_common serio_raw videodev snd_rawmidi media iwlwifi snd_seq btusb snd_seq_device bluetooth snd_timer i915 cfg80211 int3403_thermal drm_kms_helper dw_dmac 8250_dw drm dell_smo8800 wmi video snd dw_dmac_core snd_soc_sst_acpi mei_me i2c_algo_bit i2c_hid lpc_ich spi_pxa2xx_platform mei shpchp soundcore acpi_pad int3402_thermal int3400_thermal processor_thermal_device acpi_thermal_rel
[477531.252193] mac_hid int340x_thermal_zone parport_pc ppdev lp parport autofs4 btrfs xor raid6_pq hid_generic usbhid hid psmouse ahci alx libahci mdio sdhci_acpi sdhci [last unloaded: nvidia]
[477531.252195] CPU: 0 PID: 943 Comm: Xorg Tainted: P W OE 4.0.0-999-generic #201503292205
[477531.252196] Hardware name: Alienware Alienware 13/0D47G7, BIOS A02 12/16/2014
[477531.252198] 00000000000004ec ffff880035f6b6c8 ffffffff817e3106 000000000000523c
[477531.252199] ffff880035f6b718 ffff880035f6b708 ffffffff810791b7 0000000000000000
[477531.252200] 0000000000000000 ffff880222c10000 ffff8800c678c000 ffff880222c10000
[477531.252200] Call Trace:
[477531.252204] [<ffffffff817e3106>] dump_stack+0x45/0x57
[477531.252207] [<ffffffff810791b7>] warn_slowpath_common+0x97/0xe0
[477531.252209] [<ffffffff810792b6>] warn_slowpath_fmt+0x46/0x50
[477531.252228] [<ffffffffc06d365a>] assert_plane.constprop.85+0x7a/0xb0 [i915]
[477531.252243] [<ffffffffc06dea9e>] hsw_disable_ips+0x5e/0x1b0 [i915]
[477531.252257] [<ffffffffc06dee38>] intel_cr...

Read more...

Felipe Reyes, it will help immensely if you filed a new report with Ubuntu via a terminal:
ubuntu-bug xorg

Please ensure you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

Also, alease feel free to subscribe me to it.

This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 21 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Harel Malka (harel-harelmalka) wrote :

Same problem here. Lenovo Carbon X1 3rd Gen.
After upgrading to 15.10 from 15.04, the laptop doesn't complete the boot process and crashes with the i915 message (The master control interrupt lied SDE).
I cannot even provide any dmesg output because I can't get any prompt. The error comes right after "Started GNOME display manager" message.

Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Guy Taylor (thebiggerguy) wrote :

Hi,

If this is the same issue that https://bugs.freedesktop.org/show_bug.cgi?id=85583 fixed (commit ac88cd738425e04dbed3706621cf613a00708834) then https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.1.4 suggests it should be in the upstream 4.1.4 kernel. However I got this same issue (or same stack trace) on Ubuntu wily "4.2.0-25-generic #30-Ubuntu". This maps to mainline kernel version 4.2.6 (via http://people.canonical.com/~kernel/info/kernel-version-map.html) suggesting the commit did not get the the Ubuntu kernel or there is another issue.

Is there a way to check that ac88cd738425e04dbed3706621cf613a00708834 got the the Ubuntu kernel? Would you like me to open a new bug?

I am currently testing http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5-rc1-wily/

Guy Taylor (thebiggerguy) wrote :

Also could someone with more knowledge please check to see if https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1465506 is a duplicate

Guy Taylor (thebiggerguy) wrote :

I can not reproduce the issue using http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5-rc1-wily/ suggesting the issue is fixed upstream or local to the Ubuntu kernel.

Changed in xserver-xorg-video-intel (Fedora):
importance: Unknown → Undecided
status: Unknown → Won't Fix

OR using EOL release, and no response since 2015.

no longer affects: xserver-xorg-video-intel (Ubuntu)
affects: xserver-xorg-video-intel (Fedora) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Won't Fix → New
no longer affects: xserver-xorg-video-intel (Ubuntu)
affects: xserver-xorg-video-intel → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Medium → Undecided
status: Fix Released → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.